#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

#include <p18lf26k22.h>

extern unsigned char DisableByte;
    /*******************************************************************/
    /******** MiWi Stuff *********************/
    /*******************************************************************/
    
        #define SPI_SDI             PORTBbits.RB2              
        #define SDI_TRIS            TRISBbits.TRISB2
        #define SPI_SDO             LATBbits.LATB3               
        #define SDO_TRIS            TRISBbits.TRISB3
        #define SPI_SCK             LATBbits.LATB1             
        #define SCK_TRIS            TRISBbits.TRISB1
        
        //#define SUPPORT_TWO_SPI
        #define SPInCS_TRIS         TRISAbits.TRISA2
        #define SPInCS_LAT	        LATAbits.LATA2
    	#define	SPISSPSTAT	        SSP2STAT
    	#define SPISSPCON	        SSP2CON1
    	#define SPISSPBUF	        SSP2BUF
    	#define SPIWCOL		        SSPCON1bits.WCOL
    	#define SPISSPIE	        PIE3bits.SSP2IE
    	#define SPISSPIF	        PIR3bits.SSP2IF
    	

    	
    //Some pin defenitions
    
 
    
    #define SPK_TRIS DisableByte
    #define SPK_LAT DisableByte
    #define SPK_CTSEL0 CCPTMRS1bits.C5TSEL0
    #define SPK_CTSEL1 CCPTMRS1bits.C5TSEL1
    #define SPK_CCPxM3 CCP5CONbits.CCP5M3
    #define SPK_CCPxM2 CCP5CONbits.CCP5M2
    #define SPK_CCPRxL CCPR5L
    
    #define LCD_EN_TRIS TRISAbits.TRISA4
    #define LCD_EN LATAbits.LATA4
    
    #define BOOST_EN_TRIS TRISBbits.TRISB7
    #define BOOST_EN LATBbits.LATB7
    
    #define PWR_BTN_TRIS TRISBbits.TRISB6
    #define PWR_BTN	PORTBbits.RB6
    #define PWR_WPUB WPUBbits.WPUB6
    #define PWR_IOCB IOCBbits.IOCB6
    


    
    #define CLOCK_FREQ 64000000
    #define GetSystemClock() CLOCK_FREQ   
     #define GetInstructionClock()   (GetSystemClock() / 4)
    
     /*******************************************************************/
    /********mTouch *********************/
    /*******************************************************************/
    
    #define ADCON1 ADCON2
    



	

    #define MAKE_ALL_DIGITAL_PINS 0
 

#define REDKEY_CHANNEL  CHANNEL_AN0
#define GREENKEY_CHANNEL CHANNEL_AN1
#define BLUEKEY_CHANNEL CHANNEL_AN4
#define SELECTLEDKEY_CHANNEL CHANNEL_AN14
#define SELECTALLKEY_CHANNEL CHANNEL_AN15
#define RESETRGBKEY_CHANNEL CHANNEL_AN16
#define MAINTENENCEKEY_CHANNEL CHANNEL_AN17
#define POWERKEY_CHANNEL CHANNEL_AN13

#define SLIDER_CHANNEL2 CHANNEL_AN19
#define SLIDER_CHANNEL1 CHANNEL_AN18

#define REDKEY_TRIS		TRISAbits.TRISA0
#define GREENKEY_TRIS  		TRISAbits.TRISA1
#define BLUEKEY_TRIS 		TRISAbits.TRISA5
#define POWERKEY_TRIS  		TRISBbits.TRISB5
#define SELECTLEDKEY_TRIS 		TRISCbits.TRISC2
#define SELECTALLKEY_TRIS  		TRISCbits.TRISC3
#define RESETRGBKEY_TRIS 		TRISCbits.TRISC4
#define MAINTENENCEKEY_TRIS  		TRISCbits.TRISC5

#define REDKEY_LAT		LATAbits.LATA0
#define GREENKEY_LAT  		LATAbits.LATA1
#define BLUEKEY_LAT 		LATAbits.LATA5
#define POWERKEY_LAT  		LATBbits.LATB5
#define SELECTLEDKEY_LAT 		LATCbits.LATC2
#define SELECTALLKEY_LAT  		LATCbits.LATC3
#define RESETRGBKEY_LAT 		LATCbits.LATC4
#define MAINTENENCEKEY_LAT  		LATCbits.LATC5


#define SLIDER_LAT2	LATCbits.LATC6
#define SLIDER_LAT1	LATCbits.LATC7

#define SLIDER_TRIS2	TRISCbits.TRISC6
#define SLIDER_TRIS1	TRISCbits.TRISC7

#define ADPCF_REDKEY(Value) 		ANSELAbits.ANSA0 = Value;
#define ADPCF_GREENKEY(Value) 		ANSELAbits.ANSA1 = Value;
#define ADPCF_BLUEKEY(Value) 		ANSELAbits.ANSA5 = Value;
#define ADPCF_POWERKEY(Value) 		ANSELBbits.ANSB5 = Value;
#define ADPCF_SELECTLEDKEY(Value) 	ANSELCbits.ANSC2 = Value;
#define ADPCF_SELECTALLKEY(Value) 	ANSELCbits.ANSC3 = Value;
#define ADPCF_RESETRGBKEY(Value) 	ANSELCbits.ANSC4 = Value;
#define ADPCF_MAINTENENCEKEY(Value)  ANSELCbits.ANSC5 = Value;

#define ADPCF_SLIDER(Value)  ANSELCbits.ANSC6 = Value;ANSELCbits.ANSC7 = Value;








#define 	MAX_ADC_CHANNELS	    	20
 /** I/O pin definitions ********************************************/
#define INPUT_PIN 		1
#define OUTPUT_PIN 		0


#define	GROUND_TEST			//use to ground all A/D input channels	//except channel of interest
//#define 	CTMU_GND_ON 			//use for current source grounding

/***********************************************************************/




 // Defined for Timer Interrupt
 #define TIMER_INTERRUPT_TIME        1000                   		// Required time to generate timer interrupt 2000 = 0.5ms,1000 = 1ms,  500 = 2ms .......

   
#endif  //HARDWARE_PROFILE_H
