#include "Compiler.h"
#include "GenericTypeDefs.h"
#include "lcd/Nokia6100Driver.h"

#define MAX_LEDS 7

typedef struct _BarGraphWidget {
	BYTE value;
	BYTE LastValue;
	BYTE LastBarHeight;
	BYTE max;
	BYTE min;
	BYTE top;
	BYTE left;
	BYTE width;
	BYTE height;
	BYTE BorderColor;
	BYTE FillColor;
	BYTE BackColor;
	BYTE BorderWeight;
	BYTE OuterBorderWeight;
	BYTE OuterBorderColor;
	BYTE Selected;
	BYTE ArrowColor;
	BYTE OuterBorderSelectedColor;
} BarGraphWidget;


void BarGraph_Draw(BarGraphWidget * widget);	
void BarGraph_SetDefault(BarGraphWidget * widget);
void BarGraph_UpdateBar(BarGraphWidget * widget);




typedef struct _SignalWidget {
	BYTE color;
	BYTE RSSIv;
	BYTE LQQIv;
	BYTE visible;
	BYTE top;
	BYTE left;
	BYTE BackColor;
} SignalWidget;

void Signal_SetDefault(SignalWidget * widget);		
void Signal_Update(SignalWidget * widget);

typedef struct _LEDWidget {
	BYTE Selected;
	BYTE LEDNumber;
	BYTE BackColor;
	BYTE SelectionColor;
	BYTE FillColor;
	BYTE BorderColor;
	BYTE TextColor;
	BYTE address;
	BYTE VerticalCenter;
	BYTE HorizontalCenter;
	BYTE visible;
	BYTE exists;
	BYTE red;
	BYTE green;
	BYTE blue;
} LEDWidget;

void LED_SetDefault(LEDWidget * widget);		
void LED_Update(LEDWidget * widget);

typedef struct _PowerIndicatorWidget {
	BYTE visible;
	BYTE state;
	BYTE TextColor;
	BYTE BackColor;
	BYTE BorderColor;
	BYTE FillColorOn;
	BYTE FillColorOff;
	BYTE BorderWeight;
	BYTE top;
	BYTE left;
} PowerIndicatorWidget;

void PowerIndicator_SetDefault(PowerIndicatorWidget * widget);		
void PowerIndicator_Update(PowerIndicatorWidget * widget);


typedef struct _LEDGroupWidget {
	BYTE NumOfLEDs;
	LEDWidget LEDs[MAX_LEDS];
} LEDGroupWidget;

void LEDGroup_SetDefault(LEDGroupWidget * widget);		
void LEDGroup_Update(LEDGroupWidget * widget);
void LEDGroup_SelectAll(LEDGroupWidget * widget, BYTE state);


