/*
******************************************************************
Copyright (c) 2010, Matt Bommicino
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.
    * Neither the name of Cafe Logic nor the names of its contributors 
	  may be used to endorse or promote products
      derived from this software without specific prior written
      permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

******************************************************************
*/

#ifndef LUCIDA_FONT_DEF
#define LUCIDA_FONT_DEF

#define LUCIDA_CHAR_HEIGHT 11
#define LUCIDA_CHAR_WIDTH 8

const rom unsigned char LUCIDA_FONT[] = {


	// @0 ' ' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
	
	// @0 '!' (7 pixels wide)
	0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00, 0x10, 0x00, 0x00, 

	// @11 '"' (7 pixels wide)
	0x48, 0x48, 0x48, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 

	// @22 '#' (7 pixels wide)
	0x00, 0x14, 0x14, 0x7E, 0x28, 0x28, 0xFC, 0x50, 0x50, 0x00, 0x00, 

	// @33 '$' (7 pixels wide)
	0x10, 0x3C, 0x50, 0x50, 0x30, 0x18, 0x14, 0x14, 0x78, 0x10, 0x00, 

	// @44 '%' (7 pixels wide)
	0x00, 0x62, 0x94, 0x98, 0x70, 0x1C, 0x32, 0x52, 0x8C, 0x00, 0x00, 

	// @55 '&' (7 pixels wide)
	0x00, 0x1C, 0x24, 0x2C, 0x30, 0xD2, 0x8A, 0xCC, 0x7E, 0x00, 0x00, 

	// @66 ''' (7 pixels wide)
	0x10, 0x10, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 

	// @77 '(' (7 pixels wide)
	0x0C, 0x18, 0x10, 0x20, 0x20, 0x20, 0x20, 0x20, 0x10, 0x18, 0x0C, 

	// @88 ')' (7 pixels wide)
	0x40, 0x30, 0x10, 0x08, 0x08, 0x08, 0x08, 0x08, 0x10, 0x30, 0x60, 

	// @99 '*' (7 pixels wide)
	0x00, 0x10, 0x6C, 0x30, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 

	// @110 '+' (7 pixels wide)
	0x00, 0x00, 0x00, 0x10, 0x10, 0xFE, 0x10, 0x10, 0x10, 0x00, 0x00, 

	// @121 ',' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x08, 0x10, 

	// @132 '-' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 0x00, 

	// @143 '.' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x00, 0x00, 

	// @154 '/' (7 pixels wide)
	0x02, 0x04, 0x04, 0x08, 0x08, 0x10, 0x20, 0x20, 0x40, 0x40, 0x80, 

	// @165 '0' (7 pixels wide)
	0x00, 0x78, 0x48, 0x84, 0x84, 0x84, 0x84, 0x48, 0x78, 0x00, 0x00, 

	// @176 '1' (7 pixels wide)
	0x00, 0x10, 0x70, 0x10, 0x10, 0x10, 0x10, 0x10, 0x7C, 0x00, 0x00, 

	// @187 '2' (7 pixels wide)
	0x00, 0x78, 0x04, 0x04, 0x0C, 0x10, 0x20, 0x40, 0x7C, 0x00, 0x00, 

	// @198 '3' (7 pixels wide)
	0x00, 0x78, 0x08, 0x08, 0x30, 0x08, 0x08, 0x08, 0x70, 0x00, 0x00, 

	// @209 '4' (7 pixels wide)
	0x00, 0x08, 0x18, 0x28, 0x48, 0x88, 0xFC, 0x08, 0x08, 0x00, 0x00, 

	// @220 '5' (7 pixels wide)
	0x00, 0x78, 0x40, 0x40, 0x70, 0x08, 0x08, 0x08, 0x70, 0x00, 0x00, 

	// @231 '6' (7 pixels wide)
	0x00, 0x1C, 0x20, 0x40, 0x58, 0x64, 0x44, 0x44, 0x38, 0x00, 0x00, 

	// @242 '7' (7 pixels wide)
	0x00, 0x7C, 0x04, 0x08, 0x10, 0x20, 0x20, 0x40, 0x40, 0x00, 0x00, 

	// @253 '8' (7 pixels wide)
	0x00, 0x38, 0x44, 0x44, 0x38, 0x48, 0x44, 0x44, 0x38, 0x00, 0x00, 

	// @264 '9' (7 pixels wide)
	0x00, 0x38, 0x44, 0x44, 0x44, 0x3C, 0x04, 0x08, 0x70, 0x00, 0x00, 

	// @275 ':' (7 pixels wide)
	0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 

	// @286 ';' (7 pixels wide)
	0x00, 0x00, 0x00, 0x30, 0x30, 0x00, 0x00, 0x30, 0x30, 0x10, 0x20, 

	// @297 '<' (7 pixels wide)
	0x00, 0x00, 0x00, 0x04, 0x18, 0x20, 0x20, 0x18, 0x04, 0x00, 0x00, 

	// @308 '=' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x7C, 0x00, 0x7C, 0x00, 0x00, 0x00, 0x00, 

	// @319 '>' (7 pixels wide)
	0x00, 0x00, 0x00, 0x40, 0x30, 0x08, 0x08, 0x30, 0x40, 0x00, 0x00, 

	// @330 '?' (7 pixels wide)
	0x00, 0x78, 0x44, 0x04, 0x08, 0x10, 0x10, 0x00, 0x10, 0x00, 0x00, 

	// @341 '@' (7 pixels wide)
	0x00, 0x38, 0x44, 0x9C, 0xA4, 0xAC, 0xB6, 0x40, 0x38, 0x00, 0x00, 

	// @352 'A' (7 pixels wide)
	0x00, 0x10, 0x28, 0x28, 0x28, 0x44, 0x7C, 0x44, 0x82, 0x00, 0x00, 

	// @363 'B' (7 pixels wide)
	0x00, 0x78, 0x44, 0x44, 0x78, 0x44, 0x44, 0x44, 0x78, 0x00, 0x00, 

	// @374 'C' (7 pixels wide)
	0x00, 0x3C, 0x40, 0x80, 0x80, 0x80, 0x80, 0x40, 0x3C, 0x00, 0x00, 

	// @385 'D' (7 pixels wide)
	0x00, 0xF0, 0x88, 0x84, 0x84, 0x84, 0x84, 0x88, 0xF0, 0x00, 0x00, 

	// @396 'E' (7 pixels wide)
	0x00, 0x7C, 0x40, 0x40, 0x40, 0x78, 0x40, 0x40, 0x7C, 0x00, 0x00, 

	// @407 'F' (7 pixels wide)
	0x00, 0x7C, 0x40, 0x40, 0x40, 0x78, 0x40, 0x40, 0x40, 0x00, 0x00, 

	// @418 'G' (7 pixels wide)
	0x00, 0x3C, 0x40, 0x80, 0x80, 0x9C, 0x84, 0x44, 0x3C, 0x00, 0x00, 

	// @429 'H' (7 pixels wide)
	0x00, 0x44, 0x44, 0x44, 0x7C, 0x44, 0x44, 0x44, 0x44, 0x00, 0x00, 

	// @440 'I' (7 pixels wide)
	0x00, 0x7C, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x7C, 0x00, 0x00, 

	// @451 'J' (7 pixels wide)
	0x00, 0x78, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0xF0, 0x00, 0x00, 

	// @462 'K' (7 pixels wide)
	0x00, 0x44, 0x48, 0x50, 0x60, 0x60, 0x50, 0x48, 0x44, 0x00, 0x00, 

	// @473 'L' (7 pixels wide)
	0x00, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x40, 0x7C, 0x00, 0x00, 

	// @484 'M' (7 pixels wide)
	0x00, 0xCC, 0xCC, 0xD4, 0xB4, 0xB4, 0xA4, 0x84, 0x84, 0x00, 0x00, 

	// @495 'N' (7 pixels wide)
	0x00, 0x44, 0x64, 0x64, 0x54, 0x54, 0x4C, 0x4C, 0x44, 0x00, 0x00, 

	// @506 'O' (7 pixels wide)
	0x00, 0x78, 0x48, 0x84, 0x84, 0x84, 0x84, 0x48, 0x78, 0x00, 0x00, 

	// @517 'P' (7 pixels wide)
	0x00, 0x78, 0x44, 0x44, 0x44, 0x78, 0x40, 0x40, 0x40, 0x00, 0x00, 

	// @528 'Q' (7 pixels wide)
	0x00, 0x78, 0x48, 0x84, 0x84, 0x84, 0x84, 0x48, 0x38, 0x08, 0x06, 

	// @539 'R' (7 pixels wide)
	0x00, 0x78, 0x44, 0x44, 0x48, 0x70, 0x50, 0x48, 0x44, 0x00, 0x00, 

	// @550 'S' (7 pixels wide)
	0x00, 0x3C, 0x40, 0x40, 0x30, 0x08, 0x04, 0x04, 0x78, 0x00, 0x00, 

	// @561 'T' (7 pixels wide)
	0x00, 0xFE, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00, 0x00, 

	// @572 'U' (7 pixels wide)
	0x00, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x44, 0x38, 0x00, 0x00, 

	// @583 'V' (7 pixels wide)
	0x00, 0x82, 0x44, 0x44, 0x44, 0x28, 0x28, 0x38, 0x10, 0x00, 0x00, 

	// @594 'W' (7 pixels wide)
	0x00, 0x82, 0x82, 0x92, 0x92, 0x6A, 0x6C, 0x6C, 0x44, 0x00, 0x00, 

	// @605 'X' (7 pixels wide)
	0x00, 0x82, 0x44, 0x28, 0x10, 0x10, 0x28, 0x44, 0x82, 0x00, 0x00, 

	// @616 'Y' (7 pixels wide)
	0x00, 0x82, 0x44, 0x28, 0x28, 0x10, 0x10, 0x10, 0x10, 0x00, 0x00, 

	// @627 'Z' (7 pixels wide)
	0x00, 0xFC, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80, 0xFC, 0x00, 0x00, 

	// @638 '[' (7 pixels wide)
	0x1E, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x1E, 

	// @649 '\' (7 pixels wide)
	0x80, 0x40, 0x40, 0x20, 0x20, 0x10, 0x08, 0x08, 0x04, 0x04, 0x02, 

	// @660 ']' (7 pixels wide)
	0x78, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x78, 

	// @671 '^' (7 pixels wide)
	0x10, 0x10, 0x30, 0x28, 0x28, 0x48, 0x44, 0x00, 0x00, 0x00, 0x00, 

	// @682 '_' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFE, 0x00, 

	// @693 '`' (7 pixels wide)
	0x20, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 

	// @704 'a' (7 pixels wide)
	0x00, 0x00, 0x00, 0x38, 0x04, 0x3C, 0x44, 0x44, 0x3E, 0x00, 0x00, 

	// @715 'b' (7 pixels wide)
	0x40, 0x40, 0x40, 0x58, 0x64, 0x44, 0x44, 0x44, 0x78, 0x00, 0x00, 

	// @726 'c' (7 pixels wide)
	0x00, 0x00, 0x00, 0x3C, 0x40, 0x40, 0x40, 0x40, 0x3C, 0x00, 0x00, 

	// @737 'd' (7 pixels wide)
	0x04, 0x04, 0x04, 0x3C, 0x44, 0x44, 0x44, 0x4C, 0x34, 0x00, 0x00, 

	// @748 'e' (7 pixels wide)
	0x00, 0x00, 0x00, 0x38, 0x44, 0x7C, 0x40, 0x40, 0x3C, 0x00, 0x00, 

	// @759 'f' (7 pixels wide)
	0x1C, 0x20, 0x20, 0xFC, 0x20, 0x20, 0x20, 0x20, 0x20, 0x00, 0x00, 

	// @770 'g' (7 pixels wide)
	0x00, 0x00, 0x00, 0x3C, 0x44, 0x44, 0x44, 0x44, 0x3C, 0x04, 0x38, 

	// @781 'h' (7 pixels wide)
	0x40, 0x40, 0x40, 0x5C, 0x64, 0x44, 0x44, 0x44, 0x44, 0x00, 0x00, 

	// @792 'i' (7 pixels wide)
	0x10, 0x00, 0x00, 0x70, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00, 0x00, 

	// @803 'j' (7 pixels wide)
	0x08, 0x00, 0x00, 0x78, 0x08, 0x08, 0x08, 0x08, 0x08, 0x08, 0x70, 

	// @814 'k' (7 pixels wide)
	0x40, 0x40, 0x40, 0x44, 0x48, 0x70, 0x50, 0x48, 0x44, 0x00, 0x00, 

	// @825 'l' (7 pixels wide)
	0x70, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00, 0x00, 

	// @836 'm' (7 pixels wide)
	0x00, 0x00, 0x00, 0xB6, 0xDA, 0x92, 0x92, 0x92, 0x92, 0x00, 0x00, 

	// @847 'n' (7 pixels wide)
	0x00, 0x00, 0x00, 0x5C, 0x64, 0x44, 0x44, 0x44, 0x44, 0x00, 0x00, 

	// @858 'o' (7 pixels wide)
	0x00, 0x00, 0x00, 0x78, 0x84, 0x84, 0x84, 0x84, 0x78, 0x00, 0x00, 

	// @869 'p' (7 pixels wide)
	0x00, 0x00, 0x00, 0x58, 0x64, 0x44, 0x44, 0x44, 0x78, 0x40, 0x40, 

	// @880 'q' (7 pixels wide)
	0x00, 0x00, 0x00, 0x3C, 0x44, 0x44, 0x44, 0x44, 0x3C, 0x04, 0x04, 

	// @891 'r' (7 pixels wide)
	0x00, 0x00, 0x00, 0x5C, 0x64, 0x40, 0x40, 0x40, 0x40, 0x00, 0x00, 

	// @902 's' (7 pixels wide)
	0x00, 0x00, 0x00, 0x3C, 0x40, 0x70, 0x0C, 0x04, 0x78, 0x00, 0x00, 

	// @913 't' (7 pixels wide)
	0x00, 0x20, 0x20, 0xFC, 0x20, 0x20, 0x20, 0x20, 0x1C, 0x00, 0x00, 

	// @924 'u' (7 pixels wide)
	0x00, 0x00, 0x00, 0x44, 0x44, 0x44, 0x44, 0x4C, 0x74, 0x00, 0x00, 

	// @935 'v' (7 pixels wide)
	0x00, 0x00, 0x00, 0x82, 0x44, 0x44, 0x28, 0x28, 0x10, 0x00, 0x00, 

	// @946 'w' (7 pixels wide)
	0x00, 0x00, 0x00, 0x82, 0x92, 0xAA, 0xAA, 0x6C, 0x44, 0x00, 0x00, 

	// @957 'x' (7 pixels wide)
	0x00, 0x00, 0x00, 0x84, 0x48, 0x30, 0x30, 0x48, 0x84, 0x00, 0x00, 

	// @968 'y' (7 pixels wide)
	0x00, 0x00, 0x00, 0x84, 0x48, 0x48, 0x30, 0x30, 0x20, 0x20, 0xC0, 

	// @979 'z' (7 pixels wide)
	0x00, 0x00, 0x00, 0xFC, 0x08, 0x10, 0x20, 0x40, 0xFC, 0x00, 0x00, 

	// @990 '{' (7 pixels wide)
	0x1C, 0x10, 0x10, 0x10, 0x10, 0x60, 0x10, 0x10, 0x10, 0x10, 0x0C, 

	// @1001 '|' (7 pixels wide)
	0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 

	// @1012 '}' (7 pixels wide)
	0x60, 0x10, 0x10, 0x10, 0x10, 0x0C, 0x10, 0x10, 0x10, 0x10, 0x70, 

	// @1023 '~' (7 pixels wide)
	0x00, 0x00, 0x00, 0x00, 0x00, 0x72, 0x9C, 0x00, 0x00, 0x00, 0x00, 

};

#endif

