// *****************************************************************************
//                                                                              
//  Software License Agreement                                                  
//                                                                              
//  Copyright (c) 2007-2008 Microchip Technology Inc.                           
//  All rights reserved.                                                        
//                                                                              
//  Microchip licenses to you the right to use, modify, copy and distribute     
//  Software only when embedded on a Microchip microcontroller or digital       
//  signal controller and used with a Microchip radio frequency transceiver,    
//  which are integrated into your product or third party product (pursuant     
//  to the sublicense terms in the accompanying license agreement).             
//                                                                              
//  You should refer to the license agreement accompanying this Software for    
//  additional information regarding your rights and obligations.               
//                                                                              
//  SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY     
//  KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY          
//  WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A      
//  PARTICULAR PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE         
//  LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY,           
//  CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY       
//  DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY     
//  INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST      
//  PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS,              
//  TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT     
//  LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.                    
//                                                                              
//  08/20/08                                                                    
//                                                                              
// *****************************************************************************

// Created by ZENA(TM) Version 3.0.0.0, 12/4/2010, 22:27:41

// Hardware Target: Custom

#ifndef _P2PDEFS_H_
#define _P2PDEFS_H_

extern unsigned char DisableByte;

// Build Configuration

// MAC Address
#define EUI_7 0x00
#define EUI_6 0x04
#define EUI_5 0xA3
#define EUI_4 0x00
#define EUI_3 0x00
#define EUI_2 0x00
#define EUI_1 0x00
#define EUI_0 0x01

// PIC Information
//#define CLOCK_FREQ 16000000
//#define BAUD_RATE 19200

// Device Information
#define P2P_CAPACITY_INFO 0x01
#define HARDWARE_SPI
#define PROTOCOL_P2P
#define MRF24J40
#define ENABLE_HAND_SHAKE
#define ENABLE_ED_SCAN
#define ENABLE_ACTIVE_SCAN

#define ENABLE_SLEEP

// Transceiver Configuration
#define TMRL TMR0L


/*Set Interuppts for External Interrupt 0 */
#define RFIF INTCONbits.INT0IF
#define RFIE INTCONbits.INT0IE
#define RFEDGE INTCON2bits.INTEDG0
//#define RFIP //INT0 is always high priority

#define RF_INT_PIN PORTBbits.RB0
#define RF_INT_TRIS TRISBbits.TRISB0
#define RF_INT_WPUB WPUBbits.WPUB0

#define PHY_CS LATAbits.LATA2
#define PHY_CS_TRIS TRISAbits.TRISA2
#define PHY_RESETn LATAbits.LATA3
#define PHY_RESETn_TRIS TRISAbits.TRISA3

//Not using the wake pin
#define PHY_WAKE DisableByte
#define PHY_WAKE_TRIS DisableByte

#define FREQUENCY_BAND 2400

// Message Buffers
#define TX_BUFFER_SIZE 127
#define RX_BUFFER_SIZE 127

// Additional NWK/MAC Constants
#define MY_PAN_ID 0x12A0
#define P2P_CONNECTION_SIZE 10
#define CONNECTION_SIZE      10
#define ADDITIONAL_CONNECTION_PAYLOAD 0
#define ADDITIONAL_NODE_ID_SIZE   0

#if defined(MRF24J40)
    #define IEEE_802_15_4
    #undef MY_ADDRESS_LENGTH
    #define MY_ADDRESS_LENGTH 8
#endif

#endif
